Subject: Re: Heard of Oregon?

From: [email-masked] (PeterWRowe)
Date: 27 May 1995 23:24:42 -0400

Foxon C wrote:

>It rains entirely too much in Oregon in the spring. It's enough to drive
>you daffy and more then a little grumpy. In the spring the name of the
>state turns from Oregon to "this stinking weather."

I'd be willing to bet the "stink" referred to is a combination of offshore
kelp beds fermenting, and rainforest floor debris rotting...  Maybe a few
lumberjacks too...

Here in Michigan we say Michigan has only 3 seasons.  Winter, Slush, and
the 4th of July.  No one seems willing to say which lasts the longest, or
which season it happens to be at any time of year until you get there and
see...